Page MenuHomePhabricator

Understanding first day: decide on a purging strategy for the EditorJourney schema
Closed, ResolvedPublicJan 19 2019

Description

We created the EditorJourney schema to log data for this project, and we need to decide what purging strategy to use for this data. By default, all data is purged after 90 days. For more information see Data retention and auto-purging.

Details

Due Date
Jan 19 2019, 12:00 AM

Event Timeline

nettrom_WMF moved this task from Triage to Backlog on the Product-Analytics board.Dec 20 2018, 6:35 PM
JTannerWMF set Due Date to Jan 19 2019, 12:00 AM.Jan 2 2019, 5:55 PM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptJan 2 2019, 5:55 PM
nettrom_WMF moved this task from Backlog to Epics on the Product-Analytics board.Jan 10 2019, 8:51 PM
MMiller_WMF added subscribers: kostajh, Catrope.
MMiller_WMF added a subscriber: MMiller_WMF.

Assigning to @nettrom_WMF because this is now unblocked.

After much discussion, we are proposing to not store data for EditorJourney beyond 90 days. There is not currently a compelling use case that requires that we retain data.

Reassigning to @MMiller_WMF for review.

MMiller_WMF closed this task as Resolved.Jan 25 2019, 10:04 PM

Thanks, @nettrom_WMF, that's correct. I think that now that we know the purging strategy, we need this new task to implement the aggregation strategy, which you'll be developing over time: T214736